#ifndef EDITUPLOAD_H
#define EDITUPLOAD_H
#include "ftpaccess.h"
#include "InputFileCtl.h"
#include "Permissions.h"
#include <qcheckbox.h>
#include <qlistbox.h>
#include <qpushbutton.h>
#include <qframe.h>

class EditUpload : public QWidget {
    Q_OBJECT
public:
    EditUpload(ftpupload *u=0, QWidget *parent=0, char *wname=0);
    ~EditUpload();
public slots:
    void chownPressed();
    void chownToPressed(QString const &a);
    void chgrpPressed();
    void chgrpToPressed(QString const &a);
    void okButtonPressed();
    void cancelButtonPressed();
signals:
    void EditUploadDone(ftpupload *u);
private:
    ftpupload *	        upl;
    InputFileCtl *	rootDir;
    InputFileCtl *	dir;
    QCheckBox *	        mayUpload;
    QCheckBox *	        chown;
    QListBox *	        chownTo;
    QCheckBox *	        chgrp;
    QListBox *	        chgrpTo;
    Permissions *	permissions;
    QCheckBox *	        permitDirs;
    Permissions *	permissionsDir;
    QPushButton *	ok;
    QPushButton *	cancel;
};
#endif
